From: Debian Emacsen team <debian-emacsen@lists.debian.org>
Date: Mon, 5 Sep 2022 10:24:42 +0900
Subject: _fix_last-command-char.dpatch

#! /bin/sh /usr/share/dpatch/dpatch-run
## 04_fix_last-command-char.dpatch by Arnaud Fontaine <arnau@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: last-command-char has been removed in Emacs 24.3

@DPATCH@
---
 elscreen.el | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/elscreen.el b/elscreen.el
index 1cdd20e..0da9eed 100644
--- a/elscreen.el
+++ b/elscreen.el
@@ -306,6 +306,11 @@ nil means don't display tabs."
 
 ;;; Internal Functions:
 
+(defun elscreen-last-command-char ()
+  (if (featurep 'xemacs)
+      (event-to-character last-command-event)
+    last-command-event))
+
 (defvar elscreen-frame-confs nil
   "Alist that contains the information about screen configurations.")
 
@@ -989,7 +994,7 @@ is ommitted, current screen will survive."
 (defun elscreen-jump ()
   "Switch to specified screen."
   (interactive)
-  (let ((next-screen (string-to-number (string last-command-char))))
+  (let ((next-screen (string-to-number (string (elscreen-last-command-char)))))
     (if (and (<= 0 next-screen) (<= next-screen 9))
         (elscreen-goto next-screen))))
 (defalias 'elscreen-jump-0 'elscreen-jump)
